DVCSTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs.test

## Class DVCSTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.asn1.dvcs.test.DVCSTest

- All Implemented Interfaces:
    junit.framework.Test

      public class DVCSTest
      extends junit.framework.TestCase

  Regression coverage for the RFC 3029 `DVCSRequestInformationBuilder` "seed from an existing request" constructor (`DVCSRequestInformationBuilder(DVCSRequestInformation)`), which used to drop the `requester` ([0] GeneralNames) and `extensions` ([4] Extensions) fields when rebuilding a parsed request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testDVCSRequestInformationSeedPreservesRequesterAndExtensions()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSTest

          public DVCSTest()

  - ### Method Detail

    - #### testDVCSRequestInformationSeedPreservesRequesterAndExtensions

          public void testDVCSRequestInformationSeedPreservesRequesterAndExtensions()
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`